# $Revision: 1.3 $, $Date: 2012/01/19 19:59:26 $
%define 	module	git
%define		subver	RC1
%define		rel	1
Summary:	Python Git Library
Name:		python-%{module}
Version:	0.3.2
Release:	0.%{subver}.%{rel}
License:	BSD
Group:		Development/Languages
URL:		http://pypi.python.org/pypi/GitPython/
Source0:	http://pypi.python.org/packages/source/G/GitPython/GitPython-%{version}.%{subver}.tar.gz
# Source0-md5:	849082fe29adc653a3621465213cab96
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Obsoletes:	GitPython
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GitPython is a Python library used to interact with Git repositories.

GitPython provides object model access to your git repository. Once
you have created a repository object, you can traverse it to find
parent commit(s), trees, blobs, etc.

GitPython is a port of the grit library in Ruby created by Tom
Preston-Werner and Chris Wanstrath.

%prep
%setup -q -n GitPython-%{version}.%{subver}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE AUTHORS
%dir %{py_sitescriptdir}/git
%{py_sitescriptdir}/git/*.py[co]
%dir %{py_sitescriptdir}/git/index
%{py_sitescriptdir}/git/index/*.py[co]
%dir %{py_sitescriptdir}/git/objects
%{py_sitescriptdir}/git/objects/*.py[co]
%dir %{py_sitescriptdir}/git/objects/submodule
%{py_sitescriptdir}/git/objects/submodule/*.py[co]
%dir %{py_sitescriptdir}/git/refs
%{py_sitescriptdir}/git/refs/*.py[co]
%dir %{py_sitescriptdir}/git/repo
%{py_sitescriptdir}/git/repo/*.py[co]
%dir %{py_sitescriptdir}/git/test
%{py_sitescriptdir}/git/test/*.py[co]
%dir %{py_sitescriptdir}/git/test/fixtures
%{py_sitescriptdir}/git/test/fixtures/*
%dir %{py_sitescriptdir}/git/test/lib
%{py_sitescriptdir}/git/test/lib/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/GitPython-%{version}*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-git.spec,v $
Revision 1.3  2012/01/19 19:59:26  baggins
- 0.3.2.RC1

Revision 1.2  2011/01/22 22:24:19  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.1  2010/08/10 12:18:11  glen
- new
